Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.cache
[Java] Interface ModuleResolutionControl

    org.gradle.api.artifacts.cache.ModuleResolutionControl
      org.gradle.api.artifacts.cache.ResolutionControl

All Superinterfaces:
  ResolutionControl

    @Experimental
    public interface ModuleResolutionControl
    extends ResolutionControl

Command methods for controlling module resolution via the DSL.

Method Summary
`boolean` | `isChanging()` Does the module change content over time?

Methods inherited from interface ResolutionControl
cacheFor, getCachedResult, getRequest, refresh, useCachedResult

Method Detail

### isChanging

    public boolean isChanging()

  Does the module change content over time?
  Returns:
    if the module is changing

Gradle API 1.1-rc-1